'use strict';

module.exports = app => {
  const router = app.router.namespace(app.config.projectRootPath + '/gjj');

  router.get('/mine/loans', 'gjj.mine.getMyLoans');// 我的贷款
  router.get('/mine/creditcards', 'gjj.mine.getMyCreditCards');// 我的信用卡

  router.get('/wechat/check_login', 'gjj.wechat.checkLogin');// 公积金公众号检查用户是否登录
  router.get('third', '/wechat/oauth_login', 'gjj.wechat.oauthLogin');// 公积金公众号授权登录
  router.get('third', '/wechat/oauth_athena', 'gjj.wechat.oauthAthena');// 客服页面授权登录
  // router.get('/wechat/check_gjj', 'gjj.wechat.checkGjj');// 公积金公众号授权登录
};
